<template>
    <div class="common-btn-box1 font12" @click="handleBtnClick()" style="">
        <span>批产条码</span>
    </div>
</template>

<script setup lang="ts" name="Generate">
defineProps<{
    selectionList?: any[];
    handleChildBtnCallback?: () => void;
    ruleForm: any;
}>();
const emits = defineEmits<{
    (e: "handleBtnItemCallback", result: Record<string, any>): void;
}>();

// 提交事件
const handleBtnClick = () => {
    emits("handleBtnItemCallback", {
        type: "Generates"
    });
};
</script>

<style scoped>
@use "../index.scss";
</style>
